/* estilosMain.css */
/* Variables de fuentes */
@font-face {
    font-family: 'Montserrat';
    src: url('./fuentes/Montserrat-Regular.woff2') format('woff2'),
        url('./fuentes/Montserrat-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
    color: #333;
}

h1, h2 {
    font-family: 'Century Gothic', sans-serif;
    color: black;
}

p{
    font-family: 'Montserrat', sans-serif;
}
.tema-contenido {
    margin-left: 100px;
    margin-right: 100px;
    max-width: 1000px;
}

.tema-contenido img {
    margin-bottom: 20px;
    width: 1000px;
    max-height: 400px;
}

.tema-contenido p {
    line-height: 1.6;
    margin-bottom: 15px;
    text-align: justify;
}

.comentarios {
    margin-left: 100px;
    margin-right: 100px;
    max-width: 1000px;
}

.comentario {
    border: 5px solid transparent;
    border-radius: 8px; /* Opcional */
    background: linear-gradient(white, white) padding-box, 
            linear-gradient(45deg, #ff842c, #1f775a) border-box;
    border-radius: 8px;
    padding: 15px;
    margin-bottom: 10px;
}

.comentario p {
    margin: 5px 0;
}

textarea {
    width: 100%;
    height: 100px;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    resize: none;
}

button {
    background-color: #3498db;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.valoraciones {
    margin-left: 100px;
    margin-right: 100px;
    max-width: 1000px;
}

/* Mejoramos la barra de progreso */
progress {
    width: 100%;
    height: 25px;
    border-radius: 10px;
    overflow: hidden;
    appearance: none;
}

/* Fondo de la barra */
progress::-webkit-progress-bar {
    background-color: #e6e6e6;
    border-radius: 10px;
    box-shadow: inset 2px 2px 5px rgba(0, 0, 0, 0.1);
}

/* Estilo para la barra de "A Favor" */
progress.a-favor::-webkit-progress-value {
    background: linear-gradient(to right, #1f775a, #3ac78d);
    border-radius: 10px;
    transition: width 1s ease-in-out;
}

/* Estilo para la barra de "En Contra" */
progress.en-contra::-webkit-progress-value {
    background: linear-gradient(to right, #ff842c, #ffb67c);
    border-radius: 10px;
    transition: width 1s ease-in-out;
}

/* Compatibilidad con Firefox */
progress[value]::-moz-progress-bar {
    border-radius: 10px;
}

/* Texto dentro de la barra */
.barra-progreso span {
    font-size: 14px;
    font-weight: bold;
    color: #333;
    margin-left: 10px;
}
